# frozen_string_literal: true

lib = File.expand_path('lib', __dir__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require_relative 'lib/weather_by_dcq/version'

Gem::Specification.new do |spec|
  spec.name          = 'weather_by_dcq'
  spec.version       = WeatherByDcq::VERSION
  spec.authors       = ['Doan Trung Quan']
  spec.email         = ['doantrungquan97@gmail.com']

  spec.summary       = 'Weather API'
  spec.description   = 'DarkSky API'
  spec.homepage      = 'https://github.com/TOMOSIA-VIETNAM/weather_by_dcq'
  spec.license       = 'MIT'
  spec.required_ruby_version = Gem::Requirement.new('>= 2.3.0')

  spec.metadata['homepage_uri'] = spec.homepage
  spec.metadata['source_code_uri'] = 'https://github.com/TOMOSIA-VIETNAM/weather_by_dcq.'
  spec.metadata['changelog_uri'] = 'https://github.com/TOMOSIA-VIETNAM/weather_by_dcq.'

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files = Dir.chdir(File.expand_path(__dir__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end
  spec.bindir        = 'exe'
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']

  spec.add_development_dependency 'bundler', '~> 2.1.0'
  spec.add_development_dependency 'colorize', '~>0.8.1'
  spec.add_development_dependency 'forecast_io', '~>2.0.2'
  spec.add_development_dependency 'geocoder', '~>1.5.2'
  spec.add_development_dependency 'json', '~>2.3.0'
  spec.add_development_dependency 'pry', '~>0.12.2'
  spec.add_development_dependency 'rake', '~> 13.0.1'
  spec.add_development_dependency 'rspec', '~> 3.9.0'
  spec.add_development_dependency 'tty-spinner', '~>0.9.2'
  spec.add_development_dependency 'tty-table', '~>0.11.0'
end
